PreloadConfig.Phases (Oracle - Berkeley DB Java Edition API)
Date: 2014-12-16

com.sleepycat.je

## Enum PreloadConfig.Phases

- java.lang.Object
- - java.lang.Enum<PreloadConfig.Phases>
  - - com.sleepycat.je.PreloadConfig.Phases

- All Implemented Interfaces:
    Serializable, Comparable<PreloadConfig.Phases>
  Enclosing class:
    PreloadConfig

      public static enum PreloadConfig.Phases
      extends Enum<PreloadConfig.Phases>

  Preload progress listeners report this phase value, along with a count of the number if times that the preload has fetched from disk.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `PRELOAD` Preload is in progress and resulted in a fetch from disk.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static PreloadConfig.Phases` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static PreloadConfig.Phases[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### PRELOAD

          public static final PreloadConfig.Phases PRELOAD

      Preload is in progress and resulted in a fetch from disk.

  - ### Method Detail

    - #### values

          public static PreloadConfig.Phases[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (PreloadConfig.Phases c : PreloadConfig.Phases.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static PreloadConfig.Phases valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright (c) 2004, 2014 Oracle and/or its affiliates. All rights reserved.